apr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jerenkra...@apache.org
Subject svn commit: r748240 - /apr/apr/trunk/build/buildcheck.sh
Date Thu, 26 Feb 2009 17:58:07 GMT
Author: jerenkrantz
Date: Thu Feb 26 17:58:07 2009
New Revision: 748240

URL: http://svn.apache.org/viewvc?rev=748240&view=rev
Log:
* build/buildcheck.sh: Reject libtool 2.x until someone can come back around
  and do the magic to support it.  (As of right now, it leaves configure
  in a bad state.)

Modified:
    apr/apr/trunk/build/buildcheck.sh

Modified: apr/apr/trunk/build/buildcheck.sh
URL: http://svn.apache.org/viewvc/apr/apr/trunk/build/buildcheck.sh?rev=748240&r1=748239&r2=748240&view=diff
==============================================================================
--- apr/apr/trunk/build/buildcheck.sh (original)
+++ apr/apr/trunk/build/buildcheck.sh Thu Feb 26 17:58:07 2009
@@ -44,6 +44,7 @@
 echo "buildconf: libtool not found."
 echo "           You need libtool version 1.4 or newer installed"
 echo "           to build APR from SVN."
+echo "           (libtool 2.x not supported yet)"
 exit 1
 fi
 lt_version=`echo $lt_pversion|sed -e 's/\([a-z]*\)$/.\1/'`
@@ -54,6 +55,9 @@
       lt_status="bad"
    fi
 fi
+if test "$1" = "2"; then
+  lt_status="bad"
+fi
 if test $lt_status = "good"; then
    echo "buildconf: libtool version $lt_pversion (ok)"
    exit 0
@@ -62,5 +66,6 @@
 echo "buildconf: libtool version $lt_pversion found."
 echo "           You need libtool version 1.4 or newer installed"
 echo "           to build APR from SVN."
+echo "           (libtool 2.x not supported yet)"
 
 exit 1



Mime
View raw message